light-mode-image
Learn
API ReferenceEnvironments

Retrieve environments

Analytics Events

ENVIRONMENT_RETRIEVE_LIST_STARTENVIRONMENT_RETRIEVE_LIST_SUCCESSENVIRONMENT_RETRIEVE_LIST_FAIL
GET/v1/environments

Retrieves a list of all available environments.

Analytic events

  • ENVIRONMENT_RETRIEVE_LIST_START
  • ENVIRONMENT_RETRIEVE_LIST_SUCCESS
  • ENVIRONMENT_RETRIEVE_LIST_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

text/plain

curl -X GET "https://example.com/v1/environments"
{  "data": [    {      "id": "string",      "name": "string",      "domain": "string",      "authorizationServerDomain": "string",      "deploymentModel": "public",      "region": {        "id": "string",        "name": "string",        "displayName": "string"      }    }  ],  "nextCursor": "string"}

How would you rate this page?